
Name:		liferea
Version:	1.12.9
Release:	%mkrel 1
Summary:	RSS/RDF Feed Reader For GTK+
Summary(de):	RSS/RDF Feedleser für GTK+
License:	GPLv2+
Group:		Networking/News
URL:		http://liferea.sourceforge.net/
Source:		https://github.com/lwindolf/liferea/releases/download/v%{version}/%{name}-%{version}.tar.xz
Source1:	liferea.desktop
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot
#-------------------------------------------
BuildRequires: intltool
BuildRequires: desktop-file-utils
BuildRequires: gsettings-desktop-schemas-devel
BuildRequires: lib64atk1.0-devel
BuildRequires: lib64cairo-devel
BuildRequires: lib64gdk_pixbuf2.0_0-devel
BuildRequires: lib64girepository-devel
BuildRequires: lib64glib2.0_0-devel
BuildRequires: lib64gtk+3.0-devel
BuildRequires: lib64json-glib-devel
BuildRequires: lib64pango1.0-devel
BuildRequires: lib64peas-devel
BuildRequires: lib64soup-devel
BuildRequires: lib64sqlite3-devel
BuildRequires: lib64xml2-devel
BuildRequires: lib64xslt-devel
BuildRequires: lib64notify-devel
BuildRequires: webkitgtk2-devel
#-------------------------------------------
Requires:	gsettings-desktop-schemas
Obsoletes: 	%{name} < %version

%description
Liferea (abbreviation of Linux Feed Reader) is a news aggregator for
RSS/RDF feeds which also supports CDF channels, Atom/Echo/PIE feeds
and OCS or OPML directories. It is a simple FeedReader clone for Unix.

%description -l de
Liferea: Zeigt Newsfeeds in den gängigen Syndication-Formaten an, lässt 
sich über Filter-Skripte an die eigenen Bedürfnisse anpassen.

%prep
%setup -q

# from fedora
iconv -f iso8859-1 -t utf-8 man/pl/liferea.1 > man/pl/liferea.1.conv && \
mv -f man/pl/liferea.1.conv man/pl/liferea.1

%build
# autoreconf -fi
%configure2_5x --enable-libnotify
%make

%install
rm -rf %{buildroot}
#GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1 
%makeinstall_std

desktop-file-install --vendor="" \
  --add-category="Feed;X-MandrivaLinux-Internet-News;" \
  --dir %buildroot%{_datadir}/applications %buildroot%{_datadir}/applications/*.desktop

install -Dpm 0644 pixmaps/48x48/liferea.png %{buildroot}%{_datadir}/pixmaps/liferea.png

rm -f %{buildroot}%{_libdir}/liferea/web-extension/liblifereawebextension.*a

%find_lang %{name}

%post
touch --no-create %{_datadir}/icons/hicolor || :
update-desktop-database &> /dev/null || :

%postun
if [ $1 -eq 0 ] ; then
    glib-compile-schemas %{_datadir}/glib-2.0/schemas &> /dev/null || :
    touch --no-create %{_datadir}/icons/hicolor &>/dev/null
    gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
fi
update-desktop-database &> /dev/null || :

%posttrans
glib-compile-schemas %{_datadir}/glib-2.0/schemas &> /dev/null || :
gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :

%clean
rm -rf %{buildroot}

%files -f %{name}.lang
%defattr(-,root,root,-)
%{_bindir}/%{name}*
%{_datadir}/applications/*.desktop
%{_datadir}/icons/hicolor/*/apps/*.*
%{_datadir}/pixmaps/%{name}.png
%{_datadir}/%{name}
%{_mandir}/man1/%{name}.1*
%lang(pl) %{_mandir}/pl/man1/%{name}.1*
%{_libdir}/liferea/girepository-1.0/Liferea-3.0.typelib
%{_libdir}/liferea/plugins/*.plugin
%{_libdir}/liferea/plugins/*.py
%{_libdir}/liferea/web-extension/liblifereawebextension.so
%{_datadir}/glib-2.0/schemas/net.sf.%{name}.gschema.xml
%{_datadir}/GConf/gsettings/%{name}.convert
%{_datadir}/appdata/%{name}.appdata.xml
%{_datadir}/dbus-1/services/net.sourceforge.liferea.service


%changelog
* Fri Aug 28 2020 tex - 1.12.9-1pclos2020
- new version

* Sat Jun 20 2020 tex - 1.12.8-1pclos2020
- new version

* Thu Aug 08 2019 tex - 1.12.7-1pclos2019
- new version

* Thu May 17 2018 bb2 <bb2> - 1.12.3-1pclos2018
- new version

* Sun Jan 14 2018 Zen Subz <techars21 at gmail dot com> - 1.12.1-1pclos2018
- Update to latest release from github

* Fri Jul 08 2016 bb <bb> 1.10.19-1pclos2016
- update

* Wed Nov 04 2015 bb <bb> 1.10.17-1pclos2015
- update

* Thu Jul 16 2015 bb <bb> 1.10.16-1pclos2015
- update
